@echo off
REM *******************************************************************
REM
REM  Description: C ECI version 2 sample make file for ctgredist
REM
REM                                    
REM  Licensed Materials - Property of IBM
REM  
REM  5724-I81 5725-B65
REM  
REM  (c) Copyright IBM Corp. 2008, 2010
REM  
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp.
REM  
REM  Status: Version 8 Release 0
REM                                  
REM *******************************************************************
SETLOCAL ENABLEEXTENSIONS
REM 
REM This make file can be invoked from anywhere, but expects to be invoked 
REM part of the ctgredist package. The compiled output will be placed in 
REM the same location as this script. 
REM Determine location of this file
SET LOC=%~dp0
REM Determine current working directory
SET USERCWD=%CD%
REM Switch current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%LOC%"

echo CICS Transaction Gateway Basic ECI version 2 C Sample 1:
echo on

cl /nologo /Od /Z7 /D_DEBUG /c /DCICS_W32 /D_CRT_SECURE_NO_DEPRECATE ^
   /I ..\..\..\include /Foctgecib1.obj ctgecib1.c

link /LIBPATH:..\..\..\lib /DEBUG ctgecib1.obj ctgclient.lib /OUT:ctgecib1.exe

@echo off
echo CICS Transaction Gateway Basic ECI version 2 C Sample 3:
echo on

cl /nologo /Od /Z7 /D_DEBUG /c /DCICS_W32 /D_CRT_SECURE_NO_DEPRECATE ^
   /I ..\..\..\include /Foctgecib3.obj ctgecib3.c

link /LIBPATH:..\..\..\lib /DEBUG ctgecib3.obj ctgclient.lib /OUT:ctgecib3.exe

@echo off
REM Restore current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%USERCWD%"
ENDLOCAL

