@echo off
REM *******************************************************************
REM  Description: VB.NET Basic ECI Sample 1 make file
REM
REM                                        
REM  Licensed Materials - Property of IBM
REM  
REM  5724-I81 5725-B65 5655-W10
REM  
REM  (c) Copyright IBM Corp. 2008, 2010
REM  
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp.
REM  
REM  Status: Version 8 Release 0
REM                                                                              
REM *******************************************************************
SETLOCAL ENABLEEXTENSIONS

REM set_lib_dotnet parses the command line argument and sets CTG_API_LIBRARY 
call "..\..\set_lib_dotnet.cmd" %0 %1
if NOT DEFINED CTG_API_LIBRARY GOTO END

REM This make file can be invoked from anywhere, but expects to be invoked 
REM part of the ctgredist package. The compiled output will be placed in 
REM the same location as this script. 
REM Determine location of this file
SET LOC=%~dp0
REM Determine current working directory
SET USERCWD=%CD%
REM Switch current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%LOC%"

echo CICS Transaction Gateway Basic ECI VB.NET Sample 1:

echo on

vbc /target:exe /out:EciB1.exe ^
    /reference:..\..\..\lib\%CTG_API_LIBRARY% ^
    /reference:System.dll EciB1.vb

corflags EciB1.exe /32BIT+

@echo off
if exist IBM.CTG.Client.dll goto end
echo Copying .NET assembly to current directory
echo on
copy ..\..\..\lib\%CTG_API_LIBRARY%
:end
@echo off
if exist EciB1.exe echo Compiled output - %LOC%EciB1.exe
REM Restore current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%USERCWD%"

:END
ENDLOCAL

